import axios from 'axios';
const baseUri = "/ambientAir/airIndicatorIaqiDict";
const listAllUrl = baseUri + "";

// 添加
const saveIndicatorIaqi = function (data) {
    return axios.post("/ambientAir/airIndicatorIaqiDict",data)
}

// 删除
const removeIndicatorIaqi = function (id) {
    return axios.delete(`/ambientAir/airIndicatorIaqiDict/${id}`,)
}
// 批量删除
const removeBatchIndicatorIaqi = function (ids) {
    return axios.delete("/ambientAir/airIndicatorIaqiDict/batch",{data:ids})
}

// 修改
const updateIndicatorIaqi = function (data) {
    return axios.put("/ambientAir/airIndicatorIaqiDict",data)
}

const copyBatchPlace = function (data){
    return axios.post("/ambientAir/airIndicatorIaqiDict/copyBatch",data)
}
const getColumnOptions = function(column){
    return axios.get("/ambientAir/airIndicatorIaqiDict/options",{params:{column}})
}
export {
    listAllUrl,
    saveIndicatorIaqi,
    updateIndicatorIaqi,
    removeBatchIndicatorIaqi,
    removeIndicatorIaqi,
    copyBatchPlace,
    getColumnOptions

}
